package com.ss.android.ugc.aweme.feed.api;

import X.C23868bx;
import X.C51029ef;
import X.C51489fP;
import com.bytedance.covode.number.Covode;

public final class DetectInterceptor implements C23868bx {
    static {
        Covode.recordClassIndex(76776);
    }

    public final C51029ef<?> intercept(C51489fP r2) {
        if (r2 != null) {
            return r2.LIZ(r2.LIZ());
        }
        return null;
    }
}
